### Function

# GLib PathBuf new

since: 2.76

#### Declaration [src]

    GPathBuf*
    g_path_buf_new (
      void
    )

#### Description [src]

Allocates a new `GPathBuf`.

Available since: 2.76

This function is not directly available to language bindings.

#### Return value

Type: `GPathBuf`

The newly allocated path buffer.

The caller of the function takes ownership of the data, and is responsible for freeing it.